<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>DefaultHttpClient xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../apidocs/org/apache/http/impl/client/DefaultHttpClient.html">View Javadoc</a></div><pre>

<a class="jxr_linenumber" name="1" href="#1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="2" href="#2">2</a>   <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="3" href="#3">3</a>   <em class="jxr_comment"> * Licensed to the Apache Software Foundation (ASF) under one</em>
<a class="jxr_linenumber" name="4" href="#4">4</a>   <em class="jxr_comment"> * or more contributor license agreements.  See the NOTICE file</em>
<a class="jxr_linenumber" name="5" href="#5">5</a>   <em class="jxr_comment"> * distributed with this work for additional information</em>
<a class="jxr_linenumber" name="6" href="#6">6</a>   <em class="jxr_comment"> * regarding copyright ownership.  The ASF licenses this file</em>
<a class="jxr_linenumber" name="7" href="#7">7</a>   <em class="jxr_comment"> * to you under the Apache License, Version 2.0 (the</em>
<a class="jxr_linenumber" name="8" href="#8">8</a>   <em class="jxr_comment"> * "License"); you may not use this file except in compliance</em>
<a class="jxr_linenumber" name="9" href="#9">9</a>   <em class="jxr_comment"> * with the License.  You may obtain a copy of the License at</em>
<a class="jxr_linenumber" name="10" href="#10">10</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="11" href="#11">11</a>  <em class="jxr_comment"> *   <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a class="jxr_linenumber" name="12" href="#12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="13" href="#13">13</a>  <em class="jxr_comment"> * Unless required by applicable law or agreed to in writing,</em>
<a class="jxr_linenumber" name="14" href="#14">14</a>  <em class="jxr_comment"> * software distributed under the License is distributed on an</em>
<a class="jxr_linenumber" name="15" href="#15">15</a>  <em class="jxr_comment"> * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</em>
<a class="jxr_linenumber" name="16" href="#16">16</a>  <em class="jxr_comment"> * KIND, either express or implied.  See the License for the</em>
<a class="jxr_linenumber" name="17" href="#17">17</a>  <em class="jxr_comment"> * specific language governing permissions and limitations</em>
<a class="jxr_linenumber" name="18" href="#18">18</a>  <em class="jxr_comment"> * under the License.</em>
<a class="jxr_linenumber" name="19" href="#19">19</a>  <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="20" href="#20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="21" href="#21">21</a>  <em class="jxr_comment"> * This software consists of voluntary contributions made by many</em>
<a class="jxr_linenumber" name="22" href="#22">22</a>  <em class="jxr_comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a class="jxr_linenumber" name="23" href="#23">23</a>  <em class="jxr_comment"> * information on the Apache Software Foundation, please see</em>
<a class="jxr_linenumber" name="24" href="#24">24</a>  <em class="jxr_comment"> * &lt;<a href="http://www.apache.org/&gt;." target="alexandria_uri">http://www.apache.org/&gt;.</a></em>
<a class="jxr_linenumber" name="25" href="#25">25</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="26" href="#26">26</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="27" href="#27">27</a>  
<a class="jxr_linenumber" name="28" href="#28">28</a>  <strong class="jxr_keyword">package</strong> org.apache.http.impl.client;
<a class="jxr_linenumber" name="29" href="#29">29</a>  
<a class="jxr_linenumber" name="30" href="#30">30</a>  <strong class="jxr_keyword">import</strong> org.apache.http.HttpVersion;
<a class="jxr_linenumber" name="31" href="#31">31</a>  <strong class="jxr_keyword">import</strong> org.apache.http.annotation.ThreadSafe;
<a class="jxr_linenumber" name="32" href="#32">32</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.HttpClient;
<a class="jxr_linenumber" name="33" href="#33">33</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestAddCookies;
<a class="jxr_linenumber" name="34" href="#34">34</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestAuthCache;
<a class="jxr_linenumber" name="35" href="#35">35</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestClientConnControl;
<a class="jxr_linenumber" name="36" href="#36">36</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestDefaultHeaders;
<a class="jxr_linenumber" name="37" href="#37">37</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestProxyAuthentication;
<a class="jxr_linenumber" name="38" href="#38">38</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.RequestTargetAuthentication;
<a class="jxr_linenumber" name="39" href="#39">39</a>  <strong class="jxr_keyword">import</strong> org.apache.http.client.protocol.ResponseProcessCookies;
<a class="jxr_linenumber" name="40" href="#40">40</a>  <strong class="jxr_keyword">import</strong> org.apache.http.conn.ClientConnectionManager;
<a class="jxr_linenumber" name="41" href="#41">41</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.CoreConnectionPNames;
<a class="jxr_linenumber" name="42" href="#42">42</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.CoreProtocolPNames;
<a class="jxr_linenumber" name="43" href="#43">43</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.HttpConnectionParams;
<a class="jxr_linenumber" name="44" href="#44">44</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.HttpParams;
<a class="jxr_linenumber" name="45" href="#45">45</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.HttpProtocolParams;
<a class="jxr_linenumber" name="46" href="#46">46</a>  <strong class="jxr_keyword">import</strong> org.apache.http.params.SyncBasicHttpParams;
<a class="jxr_linenumber" name="47" href="#47">47</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.BasicHttpProcessor;
<a class="jxr_linenumber" name="48" href="#48">48</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.HTTP;
<a class="jxr_linenumber" name="49" href="#49">49</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.RequestContent;
<a class="jxr_linenumber" name="50" href="#50">50</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.RequestExpectContinue;
<a class="jxr_linenumber" name="51" href="#51">51</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.RequestTargetHost;
<a class="jxr_linenumber" name="52" href="#52">52</a>  <strong class="jxr_keyword">import</strong> org.apache.http.protocol.RequestUserAgent;
<a class="jxr_linenumber" name="53" href="#53">53</a>  <strong class="jxr_keyword">import</strong> org.apache.http.util.VersionInfo;
<a class="jxr_linenumber" name="54" href="#54">54</a>  
<a class="jxr_linenumber" name="55" href="#55">55</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="56" href="#56">56</a>  <em class="jxr_javadoccomment"> * Default implementation of {@link HttpClient} pre-configured for most common use scenarios.</em>
<a class="jxr_linenumber" name="57" href="#57">57</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="58" href="#58">58</a>  <em class="jxr_javadoccomment"> * Please see the Javadoc for {@link #createHttpProcessor()} for the details of the interceptors</em>
<a class="jxr_linenumber" name="59" href="#59">59</a>  <em class="jxr_javadoccomment"> * that are set up by default.</em>
<a class="jxr_linenumber" name="60" href="#60">60</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="61" href="#61">61</a>  <em class="jxr_javadoccomment"> * Additional interceptors can be added as follows, but</em>
<a class="jxr_linenumber" name="62" href="#62">62</a>  <em class="jxr_javadoccomment"> * take care not to add the same interceptor more than once.</em>
<a class="jxr_linenumber" name="63" href="#63">63</a>  <em class="jxr_javadoccomment"> * &lt;pre&gt;</em>
<a class="jxr_linenumber" name="64" href="#64">64</a>  <em class="jxr_javadoccomment"> * DefaultHttpClient httpclient = new DefaultHttpClient();</em>
<a class="jxr_linenumber" name="65" href="#65">65</a>  <em class="jxr_javadoccomment"> * httpclient.addRequestInterceptor(new RequestAcceptEncoding());</em>
<a class="jxr_linenumber" name="66" href="#66">66</a>  <em class="jxr_javadoccomment"> * httpclient.addResponseInterceptor(new ResponseContentEncoding());</em>
<a class="jxr_linenumber" name="67" href="#67">67</a>  <em class="jxr_javadoccomment"> * &lt;/pre&gt;</em>
<a class="jxr_linenumber" name="68" href="#68">68</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="69" href="#69">69</a>  <em class="jxr_javadoccomment"> * This class sets up the following parameters if not explicitly set:</em>
<a class="jxr_linenumber" name="70" href="#70">70</a>  <em class="jxr_javadoccomment"> * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="71" href="#71">71</a>  <em class="jxr_javadoccomment"> * &lt;li&gt;Version: HttpVersion.HTTP_1_1&lt;/li&gt;</em>
<a class="jxr_linenumber" name="72" href="#72">72</a>  <em class="jxr_javadoccomment"> * &lt;li&gt;ContentCharset: HTTP.DEFAULT_CONTENT_CHARSET&lt;/li&gt;</em>
<a class="jxr_linenumber" name="73" href="#73">73</a>  <em class="jxr_javadoccomment"> * &lt;li&gt;NoTcpDelay: true&lt;/li&gt;</em>
<a class="jxr_linenumber" name="74" href="#74">74</a>  <em class="jxr_javadoccomment"> * &lt;li&gt;SocketBufferSize: 8192&lt;/li&gt;</em>
<a class="jxr_linenumber" name="75" href="#75">75</a>  <em class="jxr_javadoccomment"> * &lt;li&gt;UserAgent: Apache-HttpClient/release (java 1.5)&lt;/li&gt;</em>
<a class="jxr_linenumber" name="76" href="#76">76</a>  <em class="jxr_javadoccomment"> * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="77" href="#77">77</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="78" href="#78">78</a>  <em class="jxr_javadoccomment"> * The following parameters can be used to customize the behavior of this</em>
<a class="jxr_linenumber" name="79" href="#79">79</a>  <em class="jxr_javadoccomment"> * class:</em>
<a class="jxr_linenumber" name="80" href="#80">80</a>  <em class="jxr_javadoccomment"> * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="81" href="#81">81</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#PROTOCOL_VERSION}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="82" href="#82">82</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#STRICT_TRANSFER_ENCODING}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="83" href="#83">83</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#HTTP_ELEMENT_CHARSET}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="84" href="#84">84</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#USE_EXPECT_CONTINUE}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="85" href="#85">85</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#WAIT_FOR_CONTINUE}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="86" href="#86">86</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreProtocolPNames#USER_AGENT}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="87" href="#87">87</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#TCP_NODELAY}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="88" href="#88">88</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#SO_TIMEOUT}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="89" href="#89">89</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#SO_LINGER}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="90" href="#90">90</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#SO_REUSEADDR}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="91" href="#91">91</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#SOCKET_BUFFER_SIZE}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="92" href="#92">92</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#CONNECTION_TIMEOUT}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="93" href="#93">93</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#MAX_LINE_LENGTH}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="94" href="#94">94</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#MAX_HEADER_COUNT}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="95" href="#95">95</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.params.CoreConnectionPNames#STALE_CONNECTION_CHECK}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="96" href="#96">96</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.conn.params.ConnRoutePNames#FORCED_ROUTE}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="97" href="#97">97</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.conn.params.ConnRoutePNames#LOCAL_ADDRESS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="98" href="#98">98</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.conn.params.ConnRoutePNames#DEFAULT_PROXY}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="99" href="#99">99</a>  <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.cookie.params.CookieSpecPNames#DATE_PATTERNS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="100" href="#100">100</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.cookie.params.CookieSpecPNames#SINGLE_COOKIE_HEADER}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="101" href="#101">101</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.auth.params.AuthPNames#CREDENTIAL_CHARSET}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="102" href="#102">102</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#COOKIE_POLICY}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="103" href="#103">103</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#HANDLE_AUTHENTICATION}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="104" href="#104">104</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#HANDLE_REDIRECTS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="105" href="#105">105</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#MAX_REDIRECTS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="106" href="#106">106</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#ALLOW_CIRCULAR_REDIRECTS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="107" href="#107">107</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#VIRTUAL_HOST}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="108" href="#108">108</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#DEFAULT_HOST}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="109" href="#109">109</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#DEFAULT_HEADERS}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="110" href="#110">110</a> <em class="jxr_javadoccomment"> *  &lt;li&gt;{@link org.apache.http.client.params.ClientPNames#CONN_MANAGER_TIMEOUT}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="111" href="#111">111</a> <em class="jxr_javadoccomment"> * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="112" href="#112">112</a> <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="113" href="#113">113</a> <em class="jxr_javadoccomment"> * @since 4.0</em>
<a class="jxr_linenumber" name="114" href="#114">114</a> <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="115" href="#115">115</a> @ThreadSafe
<a class="jxr_linenumber" name="116" href="#116">116</a> <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../org/apache/http/impl/client/DefaultHttpClient.html">DefaultHttpClient</a> <strong class="jxr_keyword">extends</strong> <a href="../../../../../org/apache/http/impl/client/AbstractHttpClient.html">AbstractHttpClient</a> {
<a class="jxr_linenumber" name="117" href="#117">117</a> 
<a class="jxr_linenumber" name="118" href="#118">118</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="119" href="#119">119</a> <em class="jxr_javadoccomment">     * Creates a new HTTP client from parameters and a connection manager.</em>
<a class="jxr_linenumber" name="120" href="#120">120</a> <em class="jxr_javadoccomment">     *</em>
<a class="jxr_linenumber" name="121" href="#121">121</a> <em class="jxr_javadoccomment">     * @param params    the parameters</em>
<a class="jxr_linenumber" name="122" href="#122">122</a> <em class="jxr_javadoccomment">     * @param conman    the connection manager</em>
<a class="jxr_linenumber" name="123" href="#123">123</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="124" href="#124">124</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../org/apache/http/impl/client/DefaultHttpClient.html">DefaultHttpClient</a>(
<a class="jxr_linenumber" name="125" href="#125">125</a>             <strong class="jxr_keyword">final</strong> <a href="../../../../../org/apache/http/conn/ClientConnectionManager.html">ClientConnectionManager</a> conman,
<a class="jxr_linenumber" name="126" href="#126">126</a>             <strong class="jxr_keyword">final</strong> HttpParams params) {
<a class="jxr_linenumber" name="127" href="#127">127</a>         <strong class="jxr_keyword">super</strong>(conman, params);
<a class="jxr_linenumber" name="128" href="#128">128</a>     }
<a class="jxr_linenumber" name="129" href="#129">129</a> 
<a class="jxr_linenumber" name="130" href="#130">130</a> 
<a class="jxr_linenumber" name="131" href="#131">131</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="132" href="#132">132</a> <em class="jxr_javadoccomment">     * @since 4.1</em>
<a class="jxr_linenumber" name="133" href="#133">133</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="134" href="#134">134</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../org/apache/http/impl/client/DefaultHttpClient.html">DefaultHttpClient</a>(
<a class="jxr_linenumber" name="135" href="#135">135</a>             <strong class="jxr_keyword">final</strong> <a href="../../../../../org/apache/http/conn/ClientConnectionManager.html">ClientConnectionManager</a> conman) {
<a class="jxr_linenumber" name="136" href="#136">136</a>         <strong class="jxr_keyword">super</strong>(conman, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="137" href="#137">137</a>     }
<a class="jxr_linenumber" name="138" href="#138">138</a> 
<a class="jxr_linenumber" name="139" href="#139">139</a> 
<a class="jxr_linenumber" name="140" href="#140">140</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../org/apache/http/impl/client/DefaultHttpClient.html">DefaultHttpClient</a>(<strong class="jxr_keyword">final</strong> HttpParams params) {
<a class="jxr_linenumber" name="141" href="#141">141</a>         <strong class="jxr_keyword">super</strong>(<strong class="jxr_keyword">null</strong>, params);
<a class="jxr_linenumber" name="142" href="#142">142</a>     }
<a class="jxr_linenumber" name="143" href="#143">143</a> 
<a class="jxr_linenumber" name="144" href="#144">144</a> 
<a class="jxr_linenumber" name="145" href="#145">145</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../org/apache/http/impl/client/DefaultHttpClient.html">DefaultHttpClient</a>() {
<a class="jxr_linenumber" name="146" href="#146">146</a>         <strong class="jxr_keyword">super</strong>(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="147" href="#147">147</a>     }
<a class="jxr_linenumber" name="148" href="#148">148</a> 
<a class="jxr_linenumber" name="149" href="#149">149</a> 
<a class="jxr_linenumber" name="150" href="#150">150</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="151" href="#151">151</a> <em class="jxr_javadoccomment">     * Creates the default set of HttpParams by invoking {@link DefaultHttpClient#setDefaultHttpParams(HttpParams)}</em>
<a class="jxr_linenumber" name="152" href="#152">152</a> <em class="jxr_javadoccomment">     *</em>
<a class="jxr_linenumber" name="153" href="#153">153</a> <em class="jxr_javadoccomment">     * @return a new instance of {@link SyncBasicHttpParams} with the defaults applied to it.</em>
<a class="jxr_linenumber" name="154" href="#154">154</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="155" href="#155">155</a>     @Override
<a class="jxr_linenumber" name="156" href="#156">156</a>     <strong class="jxr_keyword">protected</strong> HttpParams createHttpParams() {
<a class="jxr_linenumber" name="157" href="#157">157</a>         HttpParams params = <strong class="jxr_keyword">new</strong> SyncBasicHttpParams();
<a class="jxr_linenumber" name="158" href="#158">158</a>         setDefaultHttpParams(params);
<a class="jxr_linenumber" name="159" href="#159">159</a>         <strong class="jxr_keyword">return</strong> params;
<a class="jxr_linenumber" name="160" href="#160">160</a>     }
<a class="jxr_linenumber" name="161" href="#161">161</a> 
<a class="jxr_linenumber" name="162" href="#162">162</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="163" href="#163">163</a> <em class="jxr_javadoccomment">     * Saves the default set of HttpParams in the provided parameter.</em>
<a class="jxr_linenumber" name="164" href="#164">164</a> <em class="jxr_javadoccomment">     * These are:</em>
<a class="jxr_linenumber" name="165" href="#165">165</a> <em class="jxr_javadoccomment">     * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="166" href="#166">166</a> <em class="jxr_javadoccomment">     * &lt;li&gt;{@link CoreProtocolPNames#PROTOCOL_VERSION}: 1.1&lt;/li&gt;</em>
<a class="jxr_linenumber" name="167" href="#167">167</a> <em class="jxr_javadoccomment">     * &lt;li&gt;{@link CoreProtocolPNames#HTTP_CONTENT_CHARSET}: ISO-8859-1&lt;/li&gt;</em>
<a class="jxr_linenumber" name="168" href="#168">168</a> <em class="jxr_javadoccomment">     * &lt;li&gt;{@link CoreConnectionPNames#TCP_NODELAY}: true&lt;/li&gt;</em>
<a class="jxr_linenumber" name="169" href="#169">169</a> <em class="jxr_javadoccomment">     * &lt;li&gt;{@link CoreConnectionPNames#SOCKET_BUFFER_SIZE}: 8192&lt;/li&gt;</em>
<a class="jxr_linenumber" name="170" href="#170">170</a> <em class="jxr_javadoccomment">     * &lt;li&gt;{@link CoreProtocolPNames#USER_AGENT}: Apache-HttpClient/&lt;release&gt; (java 1.5)&lt;/li&gt;</em>
<a class="jxr_linenumber" name="171" href="#171">171</a> <em class="jxr_javadoccomment">     * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="172" href="#172">172</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="173" href="#173">173</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">void</strong> setDefaultHttpParams(HttpParams params) {
<a class="jxr_linenumber" name="174" href="#174">174</a>         HttpProtocolParams.setVersion(params, HttpVersion.HTTP_1_1);
<a class="jxr_linenumber" name="175" href="#175">175</a>         HttpProtocolParams.setContentCharset(params, HTTP.DEF_CONTENT_CHARSET.name());
<a class="jxr_linenumber" name="176" href="#176">176</a>         HttpConnectionParams.setTcpNoDelay(params, <strong class="jxr_keyword">true</strong>);
<a class="jxr_linenumber" name="177" href="#177">177</a>         HttpConnectionParams.setSocketBufferSize(params, 8192);
<a class="jxr_linenumber" name="178" href="#178">178</a> 
<a class="jxr_linenumber" name="179" href="#179">179</a>         <em class="jxr_comment">// determine the release version from packaged version info</em>
<a class="jxr_linenumber" name="180" href="#180">180</a>         <strong class="jxr_keyword">final</strong> VersionInfo vi = VersionInfo.loadVersionInfo
<a class="jxr_linenumber" name="181" href="#181">181</a>             (<span class="jxr_string">"org.apache.http.client"</span>, DefaultHttpClient.<strong class="jxr_keyword">class</strong>.getClassLoader());
<a class="jxr_linenumber" name="182" href="#182">182</a>         <strong class="jxr_keyword">final</strong> String release = (vi != <strong class="jxr_keyword">null</strong>) ?
<a class="jxr_linenumber" name="183" href="#183">183</a>             vi.getRelease() : VersionInfo.UNAVAILABLE;
<a class="jxr_linenumber" name="184" href="#184">184</a>         HttpProtocolParams.setUserAgent(params,
<a class="jxr_linenumber" name="185" href="#185">185</a>                 <span class="jxr_string">"Apache-HttpClient/"</span> + release + <span class="jxr_string">" (java 1.5)"</span>);
<a class="jxr_linenumber" name="186" href="#186">186</a>     }
<a class="jxr_linenumber" name="187" href="#187">187</a> 
<a class="jxr_linenumber" name="188" href="#188">188</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="189" href="#189">189</a> <em class="jxr_javadoccomment">    * Create the processor with the following interceptors:</em>
<a class="jxr_linenumber" name="190" href="#190">190</a> <em class="jxr_javadoccomment">    * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="191" href="#191">191</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestDefaultHeaders}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="192" href="#192">192</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestContent}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="193" href="#193">193</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestTargetHost}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="194" href="#194">194</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestClientConnControl}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="195" href="#195">195</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestUserAgent}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="196" href="#196">196</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestExpectContinue}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="197" href="#197">197</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestAddCookies}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="198" href="#198">198</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link ResponseProcessCookies}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="199" href="#199">199</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestAuthCache}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="200" href="#200">200</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestTargetAuthentication}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="201" href="#201">201</a> <em class="jxr_javadoccomment">    * &lt;li&gt;{@link RequestProxyAuthentication}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="202" href="#202">202</a> <em class="jxr_javadoccomment">    * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="203" href="#203">203</a> <em class="jxr_javadoccomment">    * &lt;p&gt;</em>
<a class="jxr_linenumber" name="204" href="#204">204</a> <em class="jxr_javadoccomment">    * @return the processor with the added interceptors.</em>
<a class="jxr_linenumber" name="205" href="#205">205</a> <em class="jxr_javadoccomment">    */</em>
<a class="jxr_linenumber" name="206" href="#206">206</a>     @Override
<a class="jxr_linenumber" name="207" href="#207">207</a>     <strong class="jxr_keyword">protected</strong> BasicHttpProcessor createHttpProcessor() {
<a class="jxr_linenumber" name="208" href="#208">208</a>         BasicHttpProcessor httpproc = <strong class="jxr_keyword">new</strong> BasicHttpProcessor();
<a class="jxr_linenumber" name="209" href="#209">209</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestDefaultHeaders.html">RequestDefaultHeaders</a>());
<a class="jxr_linenumber" name="210" href="#210">210</a>         <em class="jxr_comment">// Required protocol interceptors</em>
<a class="jxr_linenumber" name="211" href="#211">211</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> RequestContent());
<a class="jxr_linenumber" name="212" href="#212">212</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> RequestTargetHost());
<a class="jxr_linenumber" name="213" href="#213">213</a>         <em class="jxr_comment">// Recommended protocol interceptors</em>
<a class="jxr_linenumber" name="214" href="#214">214</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestClientConnControl.html">RequestClientConnControl</a>());
<a class="jxr_linenumber" name="215" href="#215">215</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> RequestUserAgent());
<a class="jxr_linenumber" name="216" href="#216">216</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> RequestExpectContinue());
<a class="jxr_linenumber" name="217" href="#217">217</a>         <em class="jxr_comment">// HTTP state management interceptors</em>
<a class="jxr_linenumber" name="218" href="#218">218</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestAddCookies.html">RequestAddCookies</a>());
<a class="jxr_linenumber" name="219" href="#219">219</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/ResponseProcessCookies.html">ResponseProcessCookies</a>());
<a class="jxr_linenumber" name="220" href="#220">220</a>         <em class="jxr_comment">// HTTP authentication interceptors</em>
<a class="jxr_linenumber" name="221" href="#221">221</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestAuthCache.html">RequestAuthCache</a>());
<a class="jxr_linenumber" name="222" href="#222">222</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestTargetAuthentication.html">RequestTargetAuthentication</a>());
<a class="jxr_linenumber" name="223" href="#223">223</a>         httpproc.addInterceptor(<strong class="jxr_keyword">new</strong> <a href="../../../../../org/apache/http/client/protocol/RequestProxyAuthentication.html">RequestProxyAuthentication</a>());
<a class="jxr_linenumber" name="224" href="#224">224</a>         <strong class="jxr_keyword">return</strong> httpproc;
<a class="jxr_linenumber" name="225" href="#225">225</a>     }
<a class="jxr_linenumber" name="226" href="#226">226</a> 
<a class="jxr_linenumber" name="227" href="#227">227</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

